graph_info {DiagrammeR} | R Documentation

## Get metrics for a graph

### Description

Get a data frame with metrics for a graph.

### Usage

    graph_info(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a data frame containing metrics pertaining to the graph

### Examples

    ## Not run:
    # Import a GML graph file available
    # in the DiagrammeR package
    karate_club <-
      system.file(
        "extdata", "karate.gml",
        package = "DiagrammeR") %>%
      import_graph() %>%
      set_graph_name("karate")

    # Display a data frame with graph information
    graph_info(karate_club)
    #>     name  n  e  dens mn_deg mx_deg avg_deg time   tz
    #> 1 karate 34 78 0.139      1     17       5 <NA> <NA>

    ## End(Not run)

[Package DiagrammeR version 0.9.2 Index]